Subject: Re: [PATCH 2.6.10-rc3][PPC32] Fix Motorola PReP (PowerstackII Utah) PCI IRQ map

From: Sven Luther <[email-masked]>
Date: Thu, 24 Feb 2005 08:47:28 +0100

On Tue, Feb 22, 2005 at 10:36:36AM +0200, Meelis Roos wrote:
> >The PCI IRQ map for the old Motorola PowerStackII (Utah) boards was
> >incorrect, but this breakage wasn't exposed until 2.5, and finally fixed
> >until recently by Sebastian Heutling <[email-masked]>.
> 
> Yesterday I finally got around to testing it. It seems the patch has 
> been applied in Linus's tree so I downloaded the latest BK and tried it.
> 
> Still does not work for me but this time it's different. Before the 
> patch SCSI worked fine but PCI NICs caused hangs. Now I can't test PCI 
> NICs because even the onboard 53c825 SCSI hangs - seems it gets no 
> interrupts.
> 
> It detects the HBA, tries device discovery, gets a timeout, ABORT, 
> timeout, TARGET RESET, timeout, BUS RESET, timeout, HOST RESET and there 
> it hangs.
> 
> Does it work for anyone else on Powerstack II Pro4000 (Utah)?

Can you try : 

  http://people.debian.org/~luther/d-i/images/daily/powerpc/netboot/vmlinuz-prep.initrd

It works for me, and the kernel (2.6.8) has the irqs patched, but not the scsi
stuff touched, i think.

Friendly,

Sven Luther